## ooniprobe 1.3.1

=== requirements.txt ===
PyYAML>=3.10
Twisted>=12.2.0
ipaddr>=2.1.10
pyOpenSSL>=0.13
geoip
txtorcon>=0.7
txsocksx>=0.0.2
parsley>=1.1
scapy-real>=2.2.0-dev
pypcap>=1.1
service-identity
pydumbnet
pyasn1
characteristic
zope.interface
cryptography

## ooniprobe 1.0.2

=== debian/changelog ===
ooniprobe (1.0.2-1) unstable; urgency=low

  * New upstream version. (Closes: #743108)
  * Update Build-Depends from requirements.txt.
  * Add tor to Build-Depends as required by new tests.
  * Ship upstream manpage. (Closes: #742936)
  * Add python-dumpnet to Recommends. (Closes: #742937)
  * Drop obsolete patches.
  * Allow tests to run without ooniprobe being installed.
  * Add a patch to fix an unbreakable line in manpage.
  * Fix a typo in README.source.
  * Add a patch to exclude manpage from files in /usr/share/ooni.

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 11 May 2014 13:24:20 +0200

ooniprobe (1.0.1-1) unstable; urgency=low

  * Initial release. (Closes: #739609)

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 24 Mar 2014 17:03:01 +0100

=== debian/control ===
Source: ooniprobe
Maintainer: Jérémy Bobbio <lunar@debian.org>
Section: net
Priority: extra
Build-Depends: debhelper (>= 8),
               python-all (>= 2.6.6-3~),
               python-docutils (>= 0.9.1),
               python-geoip (>= 0.2.5),
               python-ipaddr (>= 2.1.10),
               python-mock,
               python-openssl (>= 0.13),
               python-scapy (>= 2.2),
               python-setuptools,
               python-twisted (>= 12.2.0),
               python-txsocksx,
               python-txtorcon (>= 0.7),
               python-yaml (>= 3.10),
               python-zope.interface (>= 3.6),
               tor
Standards-Version: 3.9.5
X-Python-Version: >= 2.7
Vcs-Git: git://anonscm.debian.org/git/collab-maint/ooniprobe.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ooniprobe.git
Homepage: https://ooni.torproject.org/

Package: ooniprobe
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
               tor,
               geoip-database
Recommends: python-dumpnet
Suggests: geoip-database-contrib, obfsproxy
Description: probe for the Open Observatory of Network Interference (OONI)
 OONI, the Open Observatory of Network Interference, is a global observation
 network which aims is to collect high quality data using open methodologies
 and free software to share observations and data about the various types,
 methods, and amounts of network tampering in the world.
 .
 ooniprobe is a program to probe a network and collect data for the OONI
 project. It will test the current network for signs of surveillance and
 censorship.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=python_distutils --with=python2

override_dh_installman:
	dh_installman -O--buildsystem=python_distutils
	ln -s ooni.1.gz debian/ooniprobe/usr/share/man/man1/ooniprobe.1.gz

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	OONI_DATA_DIR=$(CURDIR)/data trial ooni
endif

=== debian/watch ===
version=3
opts="downloadurlmangle=s/#.*$//,filenamemangle=s/.*(ooniprobe-[^#]+)#.*$/$1/,pgpsigurlmangle=s/$/.asc/" \
	https://pypi.python.org/pypi/ooniprobe \
	https://pypi.python.org/packages/source/o/ooniprobe/ooniprobe-(.+)\.tar\.gz#.*

## ooniprobe 1.1.1

=== debian/changelog ===
ooniprobe (1.1.1-1) unstable; urgency=medium

  * New upstream version.
  * Fix typo in package Recommends. (Closes: #750688)
  * Update manpage locations.
  * Refresh patches.
  * Add a patch to remove the uneeded requirement on service-identity.
  * Add a patch to remove tests requiring non-free GeoIP databases.

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 02 Sep 2014 02:23:05 +0000

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
 Depends: ${misc:Depends}, ${python:Depends},
                tor,
                geoip-database
-Recommends: python-dumpnet
+Recommends: python-dumbnet
 Suggests: geoip-database-contrib, obfsproxy
 Description: probe for the Open Observatory of Network Interference (OONI)
  OONI, the Open Observatory of Network Interference, is a global observation

## ooniprobe 1.2.2

=== debian/changelog ===
ooniprobe (1.2.2-1) unstable; urgency=medium

  * New upstream version:
    - Ship ooni.deckgen.processors module. (Closes: #764550)
  * Remove obsolete patch.

 -- Jérémy Bobbio <lunar@debian.org>  Sat, 18 Oct 2014 12:01:34 +0200

ooniprobe (1.2.0-1) unstable; urgency=medium

  * New upstream version:
    - Randomly pick the socks and control port in test_settings.
      (Closes: #763264)
  * Refresh patches.
  * Ship upstream README.rst.
  * Ship the new manpages.
  * Ship upstream changelog.
  * Bump Standards-Version, no changes required.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 03 Oct 2014 10:50:28 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python-yaml (>= 3.10),
                python-zope.interface (>= 3.6),
                tor
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 Vcs-Git: git://anonscm.debian.org/git/collab-maint/ooniprobe.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ooniprobe.git

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 %:
 	dh $@ --buildsystem=python_distutils --with=python2
+
+override_dh_installchangelogs:
+	dh_installchangelogs -O--buildsystem=python_distutils ChangeLog.rst
 
 override_dh_installman:
 	dh_installman -O--buildsystem=python_distutils

## ooniprobe 1.3.1

=== debian/changelog ===
ooniprobe (1.3.1-2) unstable; urgency=medium

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. (Closes: #784241)
    Also, thanks Justin B Rye!

  [Debconf translation updates]
  * Czech (Michal Simunek). (Closes: #787492)
  * Brazilian Portuguese (Adriano Rafael Gomes). (Closes: #788341)
  * German (Chris Leick). (Closes: #788495)
  * Russian (Yuri Kozlov). (Closes: #788510)
  * Spanish; (Jonathan Bustillos). (Closes: #788787)
  * Portuguese (Américo Monteiro). (Closes: #788775)
  * French (Étienne Gilli). (Closes: #788925)
  * Danish (Joe Hansen). (Closes: #788995)

  [ Jérémy Bobbio ]
  * Fix watch file to use PyPI's Simple API. Thanks lintian!

 -- Jérémy Bobbio <lunar@debian.org>  Wed, 01 Jul 2015 13:51:47 +0200

ooniprobe (1.3.1-1) unstable; urgency=low

  [ Jérémy Bobbio ]
  * New upstream version. (Closes: #766061, #779432)
  * Refresh patches.
  * Add optional system-wide cronjobs to run ooniprobe daily
    and ooniresources monthly.
  * Add python-pypcap to Recommends.
  * Add adduser to Depends (used by postinst and postrm scripts).
  * Bump debhelper version to 9.

  [ Iain R. Learmonth ]
  * Use canonical URL for Vcs-Git.
  * Added myself to Uploaders.
  * Document the risks that may be encountered when running ooniprobe.

 -- Jérémy Bobbio <lunar@debian.org>  Sat, 02 May 2015 00:10:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,11 @@
 Source: ooniprobe
 Maintainer: Jérémy Bobbio <lunar@debian.org>
+Uploaders: Iain R. Learmonth <irl@fsfe.org>
 Section: net
 Priority: extra
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
+               dh-python,
+               po-debconf,
                python-all (>= 2.6.6-3~),
                python-docutils (>= 0.9.1),
                python-geoip (>= 0.2.5),
@@ -19,20 +22,21 @@
                tor
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
-Vcs-Git: git://anonscm.debian.org/git/collab-maint/ooniprobe.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/ooniprobe.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ooniprobe.git
 Homepage: https://ooni.torproject.org/
 
 Package: ooniprobe
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends},
+               adduser,
                tor,
                geoip-database
-Recommends: python-dumbnet
+Recommends: python-dumbnet, python-pypcap
 Suggests: geoip-database-contrib, obfsproxy
 Description: probe for the Open Observatory of Network Interference (OONI)
  OONI, the Open Observatory of Network Interference, is a global observation
- network which aims is to collect high quality data using open methodologies
+ network which aims to collect high quality data using open methodologies
  and free software to share observations and data about the various types,
  methods, and amounts of network tampering in the world.
  .

=== debian/watch ===
version=3
opts="downloadurlmangle=s/#.*$//,filenamemangle=s/.*(ooniprobe-[^#]+)#.*$/$1/,pgpsigurlmangle=s/$/.asc/" \
	https://pypi.python.org/simple/ooniprobe/ \
	.*/ooniprobe-(.+)\.tar\.gz#.*

## ooniprobe 1.3.2

=== requirements.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 service-identity
 pydumbnet
 pyasn1
+pyasn1-modules
 characteristic
 zope.interface
 cryptography

=== data/inputs/Makefile ===
# This file will fetch a set of inputs that are of use to ooni-probe
all: whatheaders lists

lists:
	curl -O https://ooni.torproject.org/inputs/input-pack.tar.gz
	tar xzf input-pack.tar.gz
	rm input-pack.tar.gz

whatheaders:
	wget http://s3.amazonaws.com/data.whatheaders.com/whatheaders-latest.xml.zip
	unzip whatheaders-latest.xml.zip
	mv whatheaders*.xml whatheaders.xml
	rm whatheaders-latest.xml.zip

=== debian/changelog ===
ooniprobe (1.3.2-2) unstable; urgency=medium

  * debian/control:
   - Change Build-Depends on python-txtorcon (from >=0.7 to >=0.14.2)
  * debian/rules:
   - Re-enable tests

 -- Iain R. Learmonth <irl@debian.org>  Sun, 27 Dec 2015 19:27:19 +0000

ooniprobe (1.3.2-1) unstable; urgency=medium

  [ Jérémy Bobbio ]
  * Retrofit a missing changelog entry

  [ Iain R. Learmonth ]
  * Imported Upstream version 1.3.2
  * Updating gbp configuration to new format
  * debian/watch:
   - Using the PyPI redirector instead of using PyPI directly
  * debian/upstream-signing-key.pgp
   - New key is used for signing, old key expired
   - 702287F4 -> 150FE210
  * Refreshed patches:
   - 0001-Use-system-GeoIP-files.patch
   - 0004-Exclude-manpage-from-data_files.patch
   - 0005-Remove-uneeded-dependency-from-requirements.txt.patch
   - 0009-Fix-install-run.patch
  * debian/rules:
   - Temporarily disable testing while the tests are broken.

 -- Iain R. Learmonth <irl@debian.org>  Sun, 27 Dec 2015 11:49:39 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python-setuptools,
                python-twisted (>= 12.2.0),
                python-txsocksx,
-               python-txtorcon (>= 0.7),
+               python-txtorcon (>= 0.14.2),
                python-yaml (>= 3.10),
                python-zope.interface (>= 3.6),
                tor

=== debian/tests/control ===
Tests: upstream-tests
Depends: @builddeps@

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/ooniprobe/ooniprobe-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## ooniprobe 1.6.1

=== requirements.txt ===
# These are dependencies of ooniprobe depedencies that require specific
# versions.
pyasn1>=0.1.8
setuptools>=11.3

# These are direct dependencies of ooniprobe.
PyYAML>=3.10
Twisted>=13.2.0
ipaddr>=2.1.10
pyOpenSSL>=0.15.1
geoip
txtorcon>=0.7
txsocksx>=0.0.2
scapy>=2.2.0
pypcap>=1.1
service-identity
pydumbnet
zope.interface
certifi

=== debian/control ===
Source: ooniprobe
Maintainer: Internet Measurement Packaging Team <pkg-netmeasure-discuss@lists.alioth.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>
Section: net
Priority: extra
Build-Depends: debhelper (>= 9),
               dh-python,
               po-debconf,
               python-all,
               python-docutils (>= 0.9.1),
               python-geoip,
               python-ipaddr,
               python-mock,
               python-openssl (>= 0.15),
               python-scapy,
               python-setuptools,
               python-twisted (>= 12.2.0),
               python-txsocksx,
               python-txtorcon (>= 0.14.2),
               python-yaml,
               python-zope.interface,
               tor
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ooniprobe.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/ooniprobe.git
Homepage: https://ooni.torproject.org/
X-Python-Version: >= 2.7

Package: ooniprobe
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         adduser,
         tor,
         geoip-database
Recommends: python-dumbnet,
            python-pypcap
Suggests: geoip-database-contrib,
          obfsproxy
Description: probe for the Open Observatory of Network Interference (OONI)
 OONI, the Open Observatory of Network Interference, is a global observation
 network which aims to collect high quality data using open methodologies
 and free software to share observations and data about the various types,
 methods, and amounts of network tampering in the world.
 .
 ooniprobe is a program to probe a network and collect data for the OONI
 project. It will test the current network for signs of surveillance and
 censorship.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,18 @@
 
 %:
 	dh $@ --buildsystem=python_distutils --with=python2
+
+override_dh_install:
+	dh_install -O--buildsystem=python_distutils
+	mkdir -p debian/ooniprobe/etc
+	sed -e 's, logfile: .*$$, logfile: /var/log/ooni/ooniprobe.log,' \
+	    -e 's, geoip_data_dir: .*$$, geoip_data_dir: /var/lib/ooni/GeoIP,' \
+	    -e 's, report_log_file: .*$$, report_log_file: /var/lib/ooni/reports/reporting.yml,' \
+	    -e 's, inputs_dir: .*$$, inputs_dir: /var/lib/ooni/inputs,' \
+	    -e 's, decks_dir: .*$$, decks_dir: /var/lib/ooni/decks,' \
+	    -e 's, start_tor: .*$$, start_tor: false,' \
+	    -e 's, #socks_port: .*$$, socks_port: 9050,' \
+	    data/ooniprobe.conf.sample > debian/ooniprobe/etc/ooniprobe.conf
 
 override_dh_installchangelogs:
 	dh_installchangelogs -O--buildsystem=python_distutils ChangeLog.rst

## ooniprobe 2.1.0

=== debian/changelog ===
ooniprobe (2.1.0-4) unstable; urgency=medium

  * Removed old symlink for example configuration (Closes: #849180)

 -- Iain R. Learmonth <irl@debian.org>  Tue, 24 Jan 2017 22:36:43 +0000

ooniprobe (2.1.0-3) unstable; urgency=medium

  * No longer attempts to connect to Internet during build-time tests (Closes:
    #849590)

 -- Iain R. Learmonth <irl@debian.org>  Tue, 24 Jan 2017 22:01:06 +0000

ooniprobe (2.1.0-2) unstable; urgency=medium

  * Fixes the default paths in settings.ini.
  * Enables the unit testing as part of the build.

 -- Iain R. Learmonth <irl@debian.org>  Sun, 25 Dec 2016 19:41:54 +0000

ooniprobe (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * No longer installs /etc/ooniprobe.conf as the installed version breaks the
    defaults

 -- Iain R. Learmonth <irl@debian.org>  Sun, 11 Dec 2016 23:46:20 +0000

ooniprobe (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2
  * Removed set -x from postinst (Closes: #844591)
  * Upgrade removes obsolete cronjob conffiles (Closes: #844590)

 -- Iain R. Learmonth <irl@debian.org>  Wed, 30 Nov 2016 23:11:23 +0000

ooniprobe (2.0.1-2) unstable; urgency=medium

  * debian/ooni-wui:
   - Imported the sources used in the build of the static web assets.

 -- Iain R. Learmonth <irl@debian.org>  Wed, 16 Nov 2016 13:52:13 +0000

ooniprobe (2.0.1-1) unstable; urgency=medium

  * New upstream version
  * debian/control:
   - Moved to contrib/net as the web assets require gulp and webpack to
     build and these are not available in Debian main at present.
   - New dependencies on python-klein and python-certifi.
  * The cron jobs previously responsible for running ooniprobe have been
    replaced with a systemd service for ooniprobe-agent
  * All debconf options have been removed (Closes: #837101)
  * debian/ooniprobe.manpages:
   - Added new manpage for ooniprobe-agent
  * debian/patches:
   - All patches have been replaced. There are now only patches that
     fix installation issues.

 -- Iain R. Learmonth <irl@debian.org>  Sat, 05 Nov 2016 14:43:06 +0000

ooniprobe (1.6.1-1) unstable; urgency=medium

  * Imported Upstream version 1.6.1
  * Defuzzed patches

 -- Iain R. Learmonth <irl@debian.org>  Tue, 26 Jul 2016 14:26:17 +0100

ooniprobe (1.5.1-2) unstable; urgency=medium

  * Swedish translation for debconf option added (Closes: #822306)
  * Confusing output from oonideckgen in postinst is suppressed (Closes:
    #827359)

 -- Iain R. Learmonth <irl@debian.org>  Sun, 19 Jun 2016 11:39:03 +0100

ooniprobe (1.5.1-1) unstable; urgency=medium

  * New upstream release
  * debian/patches:
    - Removed patch for disabling tests requiring network access as this
      is now fixed upstream.

 -- Iain R. Learmonth <irl@debian.org>  Sun, 05 Jun 2016 17:55:35 +0100

ooniprobe (1.4.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
   - Updated Standards-Version to 3.9.8
   - Removed unnecessary versioned dependencies
   - Updated Vcs-* links to use secure URIs
   - Adopted by the Internet Measurement Packaging Team
   - Updated my email address
  * Refreshed patches:
   - 0001-Use-system-GeoIP-files.patch
   - 0003-Add-missing-manual-hyphenation-to-fix-manpage-error.patch
   - 0004-Exclude-manpage-from-data_files.patch
   - 0005-Remove-uneeded-dependency-from-requirements.txt.patch
   - 0006-Remove-tests-requiring-non-free-GeoIP-database.patch
   - 0009-Fix-install-run.patch
  * Removed attempts to run tests that require network access

 -- Iain R. Learmonth <irl@debian.org>  Wed, 18 May 2016 13:00:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: ooniprobe
 Maintainer: Internet Measurement Packaging Team <pkg-netmeasure-discuss@lists.alioth.debian.org>
 Uploaders: Iain R. Learmonth <irl@debian.org>
-Section: net
+Section: contrib/net
 Priority: extra
 Build-Depends: debhelper (>= 9),
                dh-python,
-               po-debconf,
+               dh-systemd,
                python-all,
                python-docutils (>= 0.9.1),
                python-geoip,
                python-ipaddr,
                python-mock,
-               python-openssl (>= 0.15),
+               python-openssl,
                python-scapy,
                python-setuptools,
                python-twisted (>= 12.2.0),
@@ -19,6 +19,8 @@
                python-txtorcon (>= 0.14.2),
                python-yaml,
                python-zope.interface,
+               python-klein,
+               python-certifi,
                tor
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ooniprobe.git
@@ -28,6 +30,7 @@
 
 Package: ooniprobe
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${python:Depends},
          adduser,

## ooniprobe 2.2.0

=== requirements.txt ===
--- 
+++ 
@@ -17,3 +17,4 @@
 pydumbnet
 zope.interface
 certifi
+klein

=== ooni/nettests/third_party/Makefile ===
fetch:
	wget http://netalyzr.icsi.berkeley.edu/NetalyzrCLI.jar
	chmod +x NetalyzrCLI.jar

=== debian/changelog ===
ooniprobe (2.2.0-1.1) unstable; urgency=medium

  * Non-maintainer upload
    Cleared with irl@
  * debian/control
    * Suggest obfs4proxy rather than obfsproxy (Closes: #884370)
    * Declare compliance with policy v4.1.2
      Switched to `Priority: optional`
    * Switch to debhelper 10

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Mon, 18 Dec 2017 10:47:18 +0100

ooniprobe (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0

 -- Iain R. Learmonth <irl@debian.org>  Sat, 16 Sep 2017 05:13:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Maintainer: Internet Measurement Packaging Team <pkg-netmeasure-discuss@lists.alioth.debian.org>
 Uploaders: Iain R. Learmonth <irl@debian.org>
 Section: contrib/net
-Priority: extra
-Build-Depends: debhelper (>= 9),
+Priority: optional
+Build-Depends: debhelper (>= 10),
                dh-python,
-               dh-systemd,
                python-all,
                python-docutils (>= 0.9.1),
                python-geoip,
@@ -22,7 +21,7 @@
                python-klein,
                python-certifi,
                tor
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ooniprobe.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ooniprobe.git
 Homepage: https://ooni.torproject.org/
@@ -39,7 +38,7 @@
 Recommends: python-dumbnet,
             python-pypcap
 Suggests: geoip-database-contrib,
-          obfsproxy
+          obfs4proxy
 Description: probe for the Open Observatory of Network Interference (OONI)
  OONI, the Open Observatory of Network Interference, is a global observation
  network which aims to collect high quality data using open methodologies

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild --with=python2,systemd

override_dh_installchangelogs:
	dh_installchangelogs -O--buildsystem=pybuild ChangeLog.rst

override_dh_installman:
	dh_installman -O--buildsystem=pybuild
	ln -s ooni.1.gz debian/ooniprobe/usr/share/man/man1/ooniprobe.1.gz

## ooniprobe 2.3.0

=== debian/changelog ===
ooniprobe (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0
  * debian/upstream:
    - Replace Arturo's signing key
  * Refreshed patches

 -- Iain R. Learmonth <irl@debian.org>  Fri, 09 Mar 2018 19:06:33 +0000
